gtksourceviewmm: Gsv::CompletionContext Class Reference

gtksourceviewmm 3.18.0

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Symbols | List of all members
Gsv::CompletionContext Class Reference

CompletionContext. More...

`#include <gtksourceviewmm/completioncontext.h>`

Inherits Glib::Object.

## Public Member Functions
| CompletionContext (CompletionContext&& src) noexcept
CompletionContext& | operator= (CompletionContext&& src) noexcept
| ~CompletionContext () noexcept override
GtkSourceCompletionContext* | gobj ()
| Provides access to the underlying C GObject.
const GtkSourceCompletionContext* | gobj () const
| Provides access to the underlying C GObject.
GtkSourceCompletionContext* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
void | add_proposals (const Glib::RefPtr< CompletionProvider >& provider, const std::vector< Glib::RefPtr< CompletionProposal > >& proposals, bool finished)
| Providers can use this function to add proposals to the completion.
Gtk::TextIter | get_iter () const
| Get the iter at which the completion was invoked.
CompletionActivation | get_activation () const
| Get the context activation.
Glib::PropertyProxy< CompletionActivation > | property_activation ()
| The type of activation.
Glib::PropertyProxy_ReadOnly< CompletionActivation > | property_activation () const
| The type of activation.
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Completion > > | property_completion () const
| The completion object to which the context belongs.
Glib::PropertyProxy< Gtk::TextIter > | property_iter ()
| The GtkTextIter at which the completion was invoked.
Glib::PropertyProxy_ReadOnly< Gtk::TextIter > | property_iter () const
| The GtkTextIter at which the completion was invoked.
Glib::SignalProxy< void > | signal_cancelled ()
| Emitted when the current population of proposals has been cancelled.

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.

## Protected Member Functions
virtual void | on_cancelled ()
| This is a default handler for the signal signal_cancelled().

## Related Symbols
(Note that these are not member symbols.)
Glib::RefPtr< Gsv::CompletionContext > | wrap (GtkSourceCompletionContext* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

CompletionContext.

Since gtksourceviewmm 2.10

## Constructor & Destructor Documentation

## ◆ CompletionContext()

Gsv::CompletionContext::CompletionContext | ( | CompletionContext&& | src | ) |
| noexcept

## ◆ ~CompletionContext()

Gsv::CompletionContext::~CompletionContext | ( |  | ) |
| overridenoexcept

## Member Function Documentation

## ◆ add_proposals()

void Gsv::CompletionContext::add_proposals | ( | const Glib::RefPtr< CompletionProvider >& | provider,
|  | const std::vector< Glib::RefPtr< CompletionProposal > >& | proposals,
|  | bool | finished )

Providers can use this function to add proposals to the completion.

They can do so asynchronously by means of the finished argument. Providers must ensure that they always call this function with finished set to `true` once each population (even if no proposals need to be added).

Parameters

  provider | A CompletionProvider.
  proposals | The list of proposals to add.
  finished | Whether the provider is finished adding proposals.

Since gtksourceviewmm 2.10

## ◆ get_activation()

CompletionActivation Gsv::CompletionContext::get_activation | ( |  | ) | const

Get the context activation.

Returns
  The context activation.

Since gtksourceviewmm 2.10

## ◆ get_iter()

Gtk::TextIter Gsv::CompletionContext::get_iter | ( |  | ) | const

Get the iter at which the completion was invoked.

Providers can use this to determine how and if to match proposals.

Returns
  A Gtk::TextIter.

Since gtksourceviewmm 2.10

## ◆ get_type()

static GType Gsv::CompletionContext::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ gobj() [1/2]

GtkSourceCompletionContext * Gsv::CompletionContext::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const GtkSourceCompletionContext * Gsv::CompletionContext::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ gobj_copy()

GtkSourceCompletionContext * Gsv::CompletionContext::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## ◆ on_cancelled()

virtual void Gsv::CompletionContext::on_cancelled | ( |  | ) |
| protectedvirtual

This is a default handler for the signal signal_cancelled().

## ◆ operator=()

CompletionContext& Gsv::CompletionContext::operator= | ( | CompletionContext&& | src | ) |
| noexcept

## ◆ property_activation() [1/2]

Glib::PropertyProxy< CompletionActivation > Gsv::CompletionContext::property_activation | ( |  | ) |

The type of activation.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_activation() [2/2]

Glib::PropertyProxy_ReadOnly< CompletionActivation > Gsv::CompletionContext::property_activation | ( |  | ) | const

The type of activation.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_completion()

Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Completion > > Gsv::CompletionContext::property_completion | ( |  | ) | const

The completion object to which the context belongs.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_iter() [1/2]

Glib::PropertyProxy< Gtk::TextIter > Gsv::CompletionContext::property_iter | ( |  | ) |

The GtkTextIter at which the completion was invoked.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_iter() [2/2]

Glib::PropertyProxy_ReadOnly< Gtk::TextIter > Gsv::CompletionContext::property_iter | ( |  | ) | const

The GtkTextIter at which the completion was invoked.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ signal_cancelled()

Glib::SignalProxy< void > Gsv::CompletionContext::signal_cancelled | ( |  | ) |

Emitted when the current population of proposals has been cancelled.

Providers adding proposals asynchronously should connect to this signal to know when to cancel running proposal queries.

Since gtksourceviewmm 2.10

Slot Prototype:
  `void on_my_cancelled()`

Flags: Run Last

## Friends And Related Symbol Documentation

## ◆ wrap()

Glib::RefPtr< Gsv::CompletionContext > wrap | ( | GtkSourceCompletionContext * | object,
|  | bool | take_copy = false )
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.